import * as nodeMocksHttp from 'node-mocks-http';
export function getFakeRequest(options) {
    if (options === undefined) {
        options = fakeRequestDefaultConfig();
    }
    let request = nodeMocksHttp.createRequest();
    request.authorization = {};
    request.authorization.user = options.user;
    request.related = [];
    request.unrelated = [];
    request.authorization.check_authorization_or_fail = async function (_action, _id) {
        if (!options?.isAuthorized) {
            throw Error('test authorization failed');
        }
    };
    request.authorization.relate = async function (user, action, id) {
        request.related.push([user, action, id]);
        return true;
    };
    request.authorization.unrelate = async function (user, action, id) {
        request.unrelated.push([user, action, id]);
        return true;
    };
    return request;
}
export function fakeRequestDefaultConfig() {
    return {
        user: 'testuser',
        isAuthorized: true,
    };
}
//# sourceMappingURL=fakerequest.js.map